### Method

# GLib KeyFile set_boolean_list

since: 2.6

#### Declaration [src]

    void
    g_key_file_set_boolean_list (
      GKeyFile* key_file,
      const gchar* group_name,
      const gchar* key,
      gboolean* list,
      gsize length
    )

#### Description [src]

Associates a list of boolean values with `key` under `group_name`.

If `key` cannot be found then it is created.

Available since: 2.6

#### Parameters

`group_name`

  Type: `const gchar*`

  A group name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`key`

  Type: `const gchar*`

  A key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`list`

  Type: An array of `gboolean`

  An array of boolean values.

  The length of the array is specified in the `length` argument.
  The data is owned by the caller of the method.

`length`

  Type: `gsize`

  Length of `list`.